# DataExchange
TKSTEP209
StepFEA

# StepFEA_ParametricCurve3dElementCoordinateDirection Class Reference

Representation of STEP entity ParametricCurve3dElementCoordinateDirection
.

`#include <StepFEA_ParametricCurve3dElementCoordinateDirection.hxx>`

Inheritance diagram for StepFEA_ParametricCurve3dElementCoordinateDirection:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_ParametricCurve3dElementCoordinateDirection ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepGeom_Direction)&aOrientation)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepGeom_Direction | Orientation () const
| Returns field Orientation .
Standard_EXPORT void | SetOrientation (const Handle(StepGeom_Direction)&Orientation)
| Set field Orientation .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Direction | theOrientation

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_ParametricCurve3dElementCoordinateDirection::StepFEA_ParametricCurve3dElementCoordinateDirection | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_ParametricCurve3dElementCoordinateDirection::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaRepresentationItem.

Standard_EXPORT void StepFEA_ParametricCurve3dElementCoordinateDirection::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepGeom_Direction)& | aOrientation
| ) |

Standard_EXPORT Handle_StepGeom_Direction StepFEA_ParametricCurve3dElementCoordinateDirection::Orientation | ( |  | ) | const

Standard_EXPORT void StepFEA_ParametricCurve3dElementCoordinateDirection::SetOrientation | ( | const Handle(StepGeom_Direction)& | Orientation | ) |

## Field Documentation

Handle_StepGeom_Direction StepFEA_ParametricCurve3dElementCoordinateDirection::theOrientation `[private]`

The documentation for this class was generated from the following file:

- StepFEA_ParametricCurve3dElementCoordinateDirection.hxx